RelationshipType (CMDB Model API)
Keywords: com.collation.platform.model.topology.meta.RelationshipType interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.meta
Interface RelationshipType

All Superinterfaces:
  CmdbMeta, ModelObject, ObjectClass, java.io.Serializable

    public interface RelationshipType

extends ObjectClass

Persistable:
  true

Method Summary
`Association[]` | `getValidAssociations()`
`boolean` | `hasValidAssociations()`
`void` | `setValidAssociations(Association[] assocs)`

Methods inherited from interface com.collation.platform.model.topology.meta.ObjectClass
`getBaseClass, getDisplayNameRule, getDisplayString, getLastModified, getName, getNamingRules, getObjectAttributes, getPersistable, getSimilarRules, getTable, getTopLevel, hasBaseClass, hasDisplayNameRule, hasDisplayString, hasLastModified, hasName, hasNamingRules, hasObjectAttributes, hasPersistable, hasSimilarRules, hasTable, hasTopLevel, setBaseClass, setDisplayNameRule, setDisplayString, setLastModified, setName, setNamingRules, setObjectAttributes, setPersistable, setSimilarRules, setTable, setTopLevel`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getValidAssociations

    Association[] getValidAssociations()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    RELATION_ASSOCIATION
  Containment Relationship:
    true

### setValidAssociations

    void setValidAssociations(Association[] assocs)

### hasValidAssociations

    boolean hasValidAssociations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD